import { Request, Response } from "express";
import QRCode from "qrcode";
import process from "process";

export async function generateQrCode(req: Request, res: Response) {
  res.contentType('png');

  const startOfRemove = req.originalUrl.indexOf("/qrcode");
  const url = (process.env.BASE_URL || "http://example.com") + "/" + req.originalUrl.substring(0, startOfRemove);
  res.send(await QRCode.toBuffer(url))
}
