import PromiseRouter from "express-promise-router";
import { login, logout, renderLogin } from "../controllers/auth";
import bodyParser from "body-parser";

const router = PromiseRouter();

const urlencodedParser = bodyParser.urlencoded({ extended: true });

router.get("/login", renderLogin);
router.post("/login", urlencodedParser, login);
router.get("/logout", logout);

export default router;
