import PromiseRouter from "express-promise-router";
import { showPlayersHighscore, showTeamsHighscore } from "../controllers/scores";

const router = PromiseRouter();

router.get("/players", showPlayersHighscore);
router.get("/teams", showTeamsHighscore);

export default router;
